robottestingframework::TestFailureException Class Reference

The FailureException class Failure exception is used when a test or subtests fail. More...

`#include <robottestingframework/Exception.h>`

Inheritance diagram for robottestingframework::TestFailureException:
[legend]

## Public Member Functions

| TestFailureException (const TestMessage &msg)
| TestFailureException (const TestFailureException &other)
Public Member Functions inherited from robottestingframework::Exception
| Exception (const Exception &other)
| Exception (const TestMessage &msg)
virtual | ~Exception () throw ()
const char * | what () const override throw ()
| what More...
const TestMessage & | message ()
| message More...

## Detailed Description

The FailureException class Failure exception is used when a test or subtests fail.

Definition at line 86 of file Exception.h.

## Constructor & Destructor Documentation

## TestFailureException() [1/2]

robottestingframework::TestFailureException::TestFailureException | ( | const TestMessage & | msg | ) |

inline

Definition at line 89 of file Exception.h.

## TestFailureException() [2/2]

robottestingframework::TestFailureException::TestFailureException | ( | const TestFailureException & | other | ) |

inline

Definition at line 94 of file Exception.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/Exception.h